digiKam Developer Documentation: Digikam::ProgressView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::ProgressView Class Reference
Inheritance diagram for Digikam::ProgressView:

## Public Slots
void | slotToggleVisibility ()

## Signals
void | visibilityChanged (bool)

## Public Member Functions
| ProgressView (QWidget *const alignWidget, QWidget *const parent, const QString &name=QString())
void | setVisible (bool b) override
Public Member Functions inherited from Digikam::OverlayWidget
| OverlayWidget (QWidget *const alignWidget, QWidget *const parent, const QString &name=QString())
QWidget * | alignWidget () const
void | setAlignWidget (QWidget *const alignWidget)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Protected Slots
void | slotClose ()
void | slotHide ()
void | slotShow ()
void | slotTransactionAdded (ProgressItem *)
void | slotTransactionCanceled (ProgressItem *)
void | slotTransactionCompleted (ProgressItem *)
void | slotTransactionLabel (ProgressItem *, const QString &)
void | slotTransactionProgress (ProgressItem *, unsigned int progress)
void | slotTransactionStatus (ProgressItem *, const QString &)
void | slotTransactionThumbnail (ProgressItem *, const QPixmap &)
void | slotTransactionUsesBusyIndicator (ProgressItem *, bool)

## Protected Member Functions
void | closeEvent (QCloseEvent *) override
Protected Member Functions inherited from Digikam::OverlayWidget
bool | eventFilter (QObject *o, QEvent *e) override
void | resizeEvent (QResizeEvent *ev) override
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override